import { BasePromptSession, PromptTaskContext, Task } from "@igniteui/cli-core";
import { TemplateManager } from "./TemplateManager";
export declare class PromptSession extends BasePromptSession {
    constructor(templateManager: TemplateManager);
    static chooseTerm(): any;
    /**
     * Start questions session for project creation
     */
    start(): Promise<void>;
    protected completeAndRun(port?: number): Promise<void>;
    protected upgradePackages(): Promise<void>;
    /**
     * Get user name and set template's extra configurations if any
     * @param projectLibrary to add component to
     * @param component to get template for
     */
    protected templateSelectedTask(type?: "component" | "view"): Task<PromptTaskContext>;
}
